<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-buttons slot="start">
			<ion-button (click)="this.commonMethodsTs.toPage_AdminDashboard()">
				<ion-icon slot="icon-only" name="arrow-back"></ion-icon>
			</ion-button>
		</ion-buttons>
		<ion-title>
			Thống kê truy cập {{ countOnline }}
		</ion-title>
	</ion-toolbar>
</ion-header>
<ion-content *ngIf="data" color="light" fullscreen>
	<ion-grid fixed class="ion-no-padding">
		<ion-row style="background: white;">
			<ion-item lines="none">
				<ion-label position="stacked" class="text-bold">Năm (<span class="custom-span">*</span>):</ion-label>
				<ion-datetime [pickerOptions]="customPickerOptions" cancelText="Hủy" doneText="Chọn" placeholder="Chọn năm" [(ngModel)]="search.year" display-format="YYYY">
				</ion-datetime>
			</ion-item>
			<ion-item lines="none">
				<ion-label position="stacked" class="text-bold">Tháng:</ion-label>
				<ion-datetime [pickerOptions]="customPickerOptions" cancelText="Hủy" doneText="Chọn" placeholder="Chọn tháng" [(ngModel)]="search.month" display-format="MM">
				</ion-datetime>
				
			</ion-item>
			<ion-item lines="none">
				<ion-label position="stacked" class="text-bold">Ngày:</ion-label>
				<ion-datetime [pickerOptions]="customPickerOptions" cancelText="Hủy" doneText="Chọn" placeholder="Chọn ngày" [(ngModel)]="search.day" display-format="DD">
				</ion-datetime>
			</ion-item>
			<ion-item lines="none">
				<ion-button color="secondary" (click)="this.loadData()">Thống kê</ion-button>
			</ion-item>
		</ion-row>
		<ion-row *ngIf="lineChartData[0].data" style="display: block;">
			<ion-item *ngIf="lineChartData[0].data.length > 0" text-center class="none-border">
				<ion-label color="danger"> Tổng số: <strong>{{(this.data.total || 0 )|number}}</strong> lượt truy cập
				</ion-label>
			</ion-item>
			<ion-item>
					<canvas *ngIf="lineChartData[0].data.length > 0" [style.background]="'white'" baseChart width="400"
							height="400" [datasets]="lineChartData" [labels]="lineChartLabels" [options]="{'responsive': true}"
							chartType="line" [legend]="false">
						</canvas>
			</ion-item>
			
			<ion-item *ngIf="lineChartData[0].data.length == 0" text-center>
				<ion-label color="danger"> Không tìm thấy dữ liệu
				</ion-label>
			</ion-item>
		</ion-row>
		<ion-row *ngIf="!lineChartData[0].data" style="display: block;">
			<ion-item text-center>
				<ion-spinner name="crescent"></ion-spinner>
				<ion-label color="danger"> Loading...
				</ion-label>
			</ion-item>
		</ion-row>
	</ion-grid>
</ion-content>